Skip to main content
GET
/
v1
/
vehicles
/
{vehicle_id}
/
charging-history
/
{vehicle_charging_session_id}
Get Vehicle Charging History
curl --request GET \
  --url https://api.volteras.com/v1/vehicles/{vehicle_id}/charging-history/{vehicle_charging_session_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "vehicleId": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z",
  "chargeDuration": 123,
  "latitude": 123,
  "longitude": 123,
  "kwhFromGrid": 123,
  "kwhInHvb": 123,
  "startStateOfCharge": 123,
  "endStateOfCharge": 123,
  "externalTemperature": 123,
  "kwMedian": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.volteras.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

vehicle_charging_session_id
string
required

ID of the vehicle charging history.

vehicle_id
string
required

Unique internal identifier for the vehicle.

Response

200 - application/json

Successful Response

id
string
required
vehicleId
string
required
startedAt
string<date-time>
required
endedAt
string<date-time> | null
required
chargeDuration
integer | null
required
latitude
number | null
required
longitude
number | null
required
kwhFromGrid
number | null
required
kwhInHvb
number | null
required
startStateOfCharge
number | null
required
endStateOfCharge
number | null
required
externalTemperature
number | null
required
kwMedian
number | null
required